Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Modules
Kernel Modules

The Exponential Basic 2.x kernel modules. More...

## Modules
| Core Kernel Classes
| Shared kernel data structures, base classes and framework utilities.
| About
| Site identity and "about this site" pages.
| Advertisements
| Banner and advertisement management.
| Address Book
| Contact address management and directory services.
| Articles
| Article authoring, publishing, versioning and listing.
| Bug Tracker
| Issue and bug tracking within the CMS.
| Bulk Mail
| Mass email / newsletter composition and sending.
| Calendar
| Event calendar management and display.
| Contact Forms
| Public contact forms and enquiry handling.
| Error Pages
| Custom error page rendering (404, 403, 500, etc.).
| Example Module
| Reference / tutorial module demonstrating the extension API.
| File Manager
| File upload, storage and download management.
| Forms
| Configurable web-form builder and submission handling.
| Forums
| Threaded discussion boards and topic management.
| Group Event Calendar
| Group-scoped event and scheduling support.
| Image Catalogue
| Image library, galleries and asset cataloguing.
| Link Directory
| Managed link directory with categories and ranking.
| Mail
| Internal site mail between registered users.
| Media Catalogue
| Audio/video and rich-media asset management.
| Messages
| System-level and user-level message notifications.
| Module Registry
| Core module discovery, registration and request dispatch.
| News Feed / RSS
| RSS/Atom news feed aggregation and publishing.
| Polls
| Online voting polls and result display.
| Quizzes
| Quiz creation, management and scoring.
| Search
| Full-text site search indexing and retrieval.
| Sessions (Kernel)
| Kernel-level session handling and user session persistence.
| Site Manager
| Multi-site configuration, switching and management.
| Statistics
| Visitor statistics, page-view tracking and reporting.
| Surveys
| Survey creation, distribution and result analysis.
| System Information
| Runtime system diagnostics and environment reporting.
| Tips / Tip-of-the-day
| Rotating tips or helpful hints displayed to site visitors.
| To-Do Lists
| Personal and shared to-do item tracking.
| Trade / E-Commerce
| Product catalogues, shopping cart and order management.
| URL Translator
| Human-readable URL aliasing and translation.
| Users & Authentication
| User registration, authentication, profiles and permissions.
| XML / Content Types
| XML data handling and structured content-type definitions.
| XML-RPC
| XML-RPC server exposing kernel functionality to remote clients.

## Detailed Description

The Exponential Basic 2.x kernel modules.

Each module is a self-contained functional unit of the CMS. A module typically contains:

- classes/ — business-logic and data-access classes
- admin/ — administrative view scripts
- user/ — public-facing view scripts
- sql/ — schema and seed data

Modules communicate through the kernel dispatch layer (Module Registry) and share infrastructure from the core libraries (Libraries).

Module | Summary
--- | ---
About | About / identity pages
Advertisements | Advertisement management
Address Book | Address book / directory
Articles | Article publishing
Bug Tracker | Bug / issue tracker
Bulk Mail | Newsletters and bulk mail
Calendar | Event calendar
Contact Forms | Contact forms
Error Pages | Custom error pages
Example Module | Tutorial / example module
File Manager | File upload and downloads
Forms | Form builder
Forums | Discussion forums
Group Event Calendar | Group-scoped event scheduling
Image Catalogue | Image gallery / catalogue
Link Directory | Link directory
Mail | Internal site mail
Media Catalogue | Media asset management
Messages | System notifications
Module Registry | Module registry and dispatch
News Feed / RSS | RSS / Atom news feeds
Polls | Online polls
Quizzes | Quiz engine
Search | Full-text search
Sessions (Kernel) | Kernel session integration
Site Manager | Multi-site management
Statistics | Visitor statistics
Surveys | Surveys
System Information | System diagnostics
Tips / Tip-of-the-day | Tip-of-the-day
To-Do Lists | To-do lists
Trade / E-Commerce | E-commerce / trade
URL Translator | URL aliasing
Users & Authentication | Users and authentication
XML / Content Types | XML / structured content
XML-RPC | XML-RPC API

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.